Bug 496023 - (update system) Install updates button is always sensitive, regardless of already having clicked it
(update system) Install updates button is always sensitive, regardless of alr...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 00:24 EDT by Diego Escalante Urrelo
Modified: 2009-08-08 23:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 05:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego Escalante Urrelo 2009-04-16 00:24:03 EDT
Description of problem:
In "Software update" window, if I click "Install updates" the process begins but the button remains sensitive, allowing me to uselessly clicking it again.
The button should go insensitive so users don't click again by mistake.

Marginally related, the Quit button should be Cancel when the update is running, or be Cancel always. "Quit" means "get out of here" but doesn't make it clear if it will send the work to background (like other pk windows) or if it will stop it, it does the later so IMHO it should be Cancel, not Quit.

Version-Release number of selected component (if applicable):
PackageKit-gstreamer-plugin-0.4.6-3.fc11.i586
gnome-packagekit-2.27.2-0.2.20090414git.fc11.i586
PackageKit-glib-0.4.6-3.fc11.i586
PackageKit-yum-0.4.6-3.fc11.i586
PackageKit-yum-plugin-0.4.6-3.fc11.i586
PackageKit-0.4.6-3.fc11.i586
PackageKit-gtk-module-0.4.6-3.fc11.i586


How reproducible:
Always
Comment 1 Richard Hughes 2009-06-03 05:27:52 EDT
Can you try installing https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5750 and https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5748 and then reboot please. If it fixes things, please report that as positive karma for the update. Thanks.
Comment 2 Bug Zapper 2009-06-09 09:54:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.